org.apache.ode.dao.jpa

## Class FaultDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.FaultDAOImpl

- All Implemented Interfaces:
    FaultDAO

      @Entity
      public class FaultDAOImpl
      extends java.lang.Object
      implements FaultDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_FAULTS_BY_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultDAOImpl()`
    `FaultDAOImpl(javax.xml.namespace.QName faultName, java.lang.String explanation, int faultLineNo, int activityId, org.w3c.dom.Element faultMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityId()`
    `org.w3c.dom.Element` | `getData()`
    `java.lang.String` | `getExplanation()`
    `int` | `getLineNo()`
    `javax.xml.namespace.QName` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_FAULTS_BY_IDS

          public static final java.lang.String DELETE_FAULTS_BY_IDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FaultDAOImpl

          public FaultDAOImpl()

    - #### FaultDAOImpl

          public FaultDAOImpl(javax.xml.namespace.QName faultName,
                              java.lang.String explanation,
                              int faultLineNo,
                              int activityId,
                              org.w3c.dom.Element faultMessage)

  - ### Method Detail

    - #### getActivityId

          public int getActivityId()

      Specified by:
        `getActivityId` in interface `FaultDAO`

    - #### getData

          public org.w3c.dom.Element getData()

      Specified by:
        `getData` in interface `FaultDAO`

    - #### getExplanation

          public java.lang.String getExplanation()

      Specified by:
        `getExplanation` in interface `FaultDAO`

    - #### getLineNo

          public int getLineNo()

      Specified by:
        `getLineNo` in interface `FaultDAO`

    - #### getName

          public javax.xml.namespace.QName getName()

      Specified by:
        `getName` in interface `FaultDAO`